html {
  scroll-behavior: smooth;
}

body {
  font-family: "Roboto", sans-serif;
  margin: 0;
  padding: 0;
  overflow: hidden;
  text-align: center;
}

#background-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; 
  z-index: -1;
  filter: grayscale(100%) blur(1px); 
}

.container {
  position: relative; 
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 80vh;
  padding: 20px;
  color: #fff;
  z-index: 1; 
}

h2 {
  font-size: 1.563em;
  color: #000;
  font-weight: 600;
  margin-top: 10px;
}

.button {
  background-color: #4caf50;
  border: none;
  color: white;
  padding: 15px 30px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1.125em;
  margin: 15px auto;
  cursor: pointer;
  border-radius: 4px;
}

.button:hover {
  background-color: #45a049;
}

.social-icons {
  margin-top: 20px;
}

.social-icons a {
  color: #fff; 
  font-size: 24px;
  margin: 0 10px;
  text-decoration: none;
}

@media screen and (max-width: 780px) {
  #background-video {
    display: none; 
  }

  #nav-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: opacity 1s ease, transform 1s ease;
  }

  #links-container {
    opacity: 0;
    transform: translateY(-20px);
    display: none;
    transition: opacity 1s ease, transform 1s ease;
  }

  #links-container.show {
    display: block;
    opacity: 1;
    transform: translateY(0);
  }

  #links-container.hide {
    display: block;
    opacity: 0;
    transform: translateY(-20px);
  }

  h1 {
    font-size: 3.125em;
    margin: 10px;
    color: #000; 
    font-weight: 700;
    display: block;
  }

  .button {
    margin: 40px auto;
  }
}
